pfodParser 5.0.1 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Static Public Member Functions | List of all members
pfodWaitForUtils Class Reference

`#include <pfodWaitForUtils.h>`

## Static Public Member Functions
static boolean | waitFor (const __FlashStringHelper *ifsh, Stream *input, Stream *output=NULL)
static boolean | waitFor (const __FlashStringHelper *ifsh, unsigned long timeout, Stream *input, Stream *output=NULL)
static boolean | waitForOK (Stream *input, Stream *output=NULL)
static boolean | waitForOK (unsigned long timeout, Stream *input, Stream *output=NULL)
static boolean | waitFor (const char *str, Stream *input, Stream *output=NULL)
static boolean | waitFor (const char *str, unsigned long timeout, Stream *input, Stream *output=NULL)
static int | waitFor (const char *str1, const char *str2, Stream *input, Stream *output=NULL, unsigned long timeout=0)
static int | waitFor (const char *str1, const char *str2, const char *str3, Stream *input, Stream *output, unsigned long _timeout)
static size_t | captureReply (char *buffer, size_t maxLen, Stream *input, Stream *output=NULL, unsigned long timeout=100)
static void | dumpReply (Stream *input, Stream *output=NULL, unsigned long timeout=100)
static void | setWaitForTimeout (unsigned long _timeout)

## Detailed Description

Definition at line 16 of file pfodWaitForUtils.h.

## Member Function Documentation

## ◆ captureReply()

static size_t pfodWaitForUtils::captureReply | ( | char * | buffer,
|  | size_t | maxLen,
|  | Stream * | input,
|  | Stream * | output = `NULL`,
|  | unsigned long | timeout = `100`
| ) |  |
| static

## ◆ dumpReply()

static void pfodWaitForUtils::dumpReply | ( | Stream * | input,
|  | Stream * | output = `NULL`,
|  | unsigned long | timeout = `100`
| ) |  |
| static

## ◆ setWaitForTimeout()

static void pfodWaitForUtils::setWaitForTimeout | ( | unsigned long | _timeout | ) |
| static

## ◆ waitFor() [1/6]

static boolean pfodWaitForUtils::waitFor | ( | const __FlashStringHelper * | ifsh,
|  | Stream * | input,
|  | Stream * | output = `NULL`
| ) |  |
| static

## ◆ waitFor() [2/6]

static boolean pfodWaitForUtils::waitFor | ( | const __FlashStringHelper * | ifsh,
|  | unsigned long | timeout,
|  | Stream * | input,
|  | Stream * | output = `NULL`
| ) |  |
| static

## ◆ waitFor() [3/6]

static boolean pfodWaitForUtils::waitFor | ( | const char * | str,
|  | Stream * | input,
|  | Stream * | output = `NULL`
| ) |  |
| static

## ◆ waitFor() [4/6]

static boolean pfodWaitForUtils::waitFor | ( | const char * | str,
|  | unsigned long | timeout,
|  | Stream * | input,
|  | Stream * | output = `NULL`
| ) |  |
| static

## ◆ waitFor() [5/6]

static int pfodWaitForUtils::waitFor | ( | const char * | str1,
|  | const char * | str2,
|  | const char * | str3,
|  | Stream * | input,
|  | Stream * | output,
|  | unsigned long | _timeout
| ) |  |
| static

## ◆ waitFor() [6/6]

static int pfodWaitForUtils::waitFor | ( | const char * | str1,
|  | const char * | str2,
|  | Stream * | input,
|  | Stream * | output = `NULL`,
|  | unsigned long | timeout = `0`
| ) |  |
| static

## ◆ waitForOK() [1/2]

static boolean pfodWaitForUtils::waitForOK | ( | Stream * | input,
|  | Stream * | output = `NULL`
| ) |  |
| static

## ◆ waitForOK() [2/2]

static boolean pfodWaitForUtils::waitForOK | ( | unsigned long | timeout,
|  | Stream * | input,
|  | Stream * | output = `NULL`
| ) |  |
| static